Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038382
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-04-16 18:202018-05-09 19:29
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionb1cfd9a88be0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038382: Deprecate usage of positional query parameters in OBQuery

DescriptionLegacy-style query parameters ('?') are no longer supported in Hibernate 5.3[1]

The OBQuery API allows the definition of this kind of parameters by using the setParameters(List)[2] method.

This method should be deprecated in order to discourage its usage before applying the Hibernate upgrade.

Named parameters should be used instead.

[1] https://hibernate.atlassian.net/browse/HHH-12101 [^]
[2] https://code.openbravo.com/erp/devel/pi/file/tip/src/org/openbravo/dal/service/OBQuery.java#l453 [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038146 closedshuehner OBQuery when auto-adding client+org filter is not using bind-variables 
related to defect 0038383 closedcaristu API Change: declare OBQuery.getParameters() method as private 
related to defect 0038442 closedcaristu Do not use positional query parameters with Query 
related to feature request 0037064 closedcaristu upgrade hibernate 

-  Notes
(0103947)
caristu (developer)
2018-04-17 19:11

List of occurrences in pi + modules: https://docs.google.com/spreadsheets/d/1YptNadVzwp-dRPRUYJzmQaO2R3HmXrJfIoLI9CtBzjY/edit#gid=0 [^]
(0103954)
hgbot (developer)
2018-04-18 09:41

Repository: erp/devel/pi
Changeset: b1cfd9a88be06141647c4d22aa41ec51aa3467e1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 09:01:42 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b1cfd9a88be06141647c4d22aa41ec51aa3467e1 [^]

fixes issue 38382: Deprecate positional query parameters in OBQuery

  - Deprecate OBQuery.setParameters(List) method.
  - Declare OBQuery.getParameters() as private because it is only used internally.
  - Deprecate OBDal.createQuery(Class, String List), which is making use of OBQuery.setParameters(List).
  - Deprecate OBDal.createQuery(String, String, List), which is making use of OBQuery.setParameters(List).

---
M src/org/openbravo/dal/service/OBDal.java
M src/org/openbravo/dal/service/OBQuery.java
---
(0103955)
hgbot (developer)
2018-04-18 09:41

Repository: erp/devel/pi
Changeset: b19430097c35d3b6bdb8155cf0e9c3f626d4a40d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 09:14:05 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b19430097c35d3b6bdb8155cf0e9c3f626d4a40d [^]

related to issue 38382: use named parameters instead of positional parameters

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/Transactions.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/MatchTransactionDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_BankStatementProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ComputeWindowActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M src-test/src/org/openbravo/test/dal/DalComplexQueryRequisitionTest.java
M src-test/src/org/openbravo/test/dal/DalComplexQueryTestOrderLine.java
M src-test/src/org/openbravo/test/dal/DalQueryTest.java
M src-test/src/org/openbravo/test/security/AccessLevelTest.java
M src/org/openbravo/erpCommon/ad_callouts/SE_Locator_Activate.java
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.java
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
M src/org/openbravo/erpCommon/utility/ReferencedLink.java
---
(0103957)
hgbot (developer)
2018-04-18 09:42

Repository: erp/pmods/org.openbravo.retail.config
Changeset: afcbd353a09719f0fce0346f2731b770176b6009
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 08:24:45 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/afcbd353a09719f0fce0346f2731b770176b6009 [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/retail/config/businesslogic/CloneProductListActionHandler.java
M src/org/openbravo/retail/config/process/IncludeAllProducts.java
---
(0103958)
hgbot (developer)
2018-04-18 09:43

Repository: erp/mods/org.openbravo.module.taxreportlauncher
Changeset: d2b5da48c6a5bbd6f0b4b0af5814a34e4a29ca02
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 08:34:37 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.taxreportlauncher/rev/d2b5da48c6a5bbd6f0b4b0af5814a34e4a29ca02 [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/module/taxreportlauncher/Dao/TaxReportLauncherDao.java
---
(0103959)
hgbot (developer)
2018-04-18 09:43

Repository: erp/mods/org.openbravo.module.remittance
Changeset: 831f91f5390a3f57ea650b05ebff5e3321ff195a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 08:38:25 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/831f91f5390a3f57ea650b05ebff5e3321ff195a [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/module/remittance/ad_forms/CancelReturnRemittance.java
M src/org/openbravo/module/remittance/process/REM_AddRemittance.java
---
(0103960)
hgbot (developer)
2018-04-18 09:44

Repository: erp/pmods/org.openbravo.module.invoicematchingalgorithm
Changeset: 6dda8839253e784622cb2257537cb74004742d01
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 08:44:30 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicematchingalgorithm/rev/6dda8839253e784622cb2257537cb74004742d01 [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/module/invoicematchingalgorithm/algorithm/InvoiceMatchingAlgorithm.java
---
(0103961)
hgbot (developer)
2018-04-18 09:45

Repository: erp/pmods/org.openbravo.module.intrastat
Changeset: e483215707963f9d51f69c9a678a5d0b295d867d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 08:47:42 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.intrastat/rev/e483215707963f9d51f69c9a678a5d0b295d867d [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/module/intrastat/IntrastatGenerateFileDao.java
M src/org/openbravo/module/intrastat/IntrastatLauncherDao.java
---
(0103962)
hgbot (developer)
2018-04-18 09:45

Repository: erp/pmods/org.openbravo.warehouse.pickinglist
Changeset: f67a644bec14fe41fee0c887585f0206534c4a37
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 09:38:54 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.pickinglist/rev/f67a644bec14fe41fee0c887585f0206534c4a37 [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/warehouse/pickinglist/PickingListActionHandler.java
---
(0103963)
hgbot (developer)
2018-04-18 09:53

Repository: erp/devel/pi
Changeset: c322c0c311eabd543de08121b2468159f1406366
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 18 09:53:28 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c322c0c311eabd543de08121b2468159f1406366 [^]

related to issue 38382: Add missing @Deprecated annotation

---
M src/org/openbravo/dal/service/OBDal.java
---
(0103986)
hgbot (developer)
2018-04-18 21:19

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.testingutils
Changeset: 21665080e696deee28ccb2bc5c1c904f5ee34f4c
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Wed Apr 18 15:19:23 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.testingutils/rev/21665080e696deee28ccb2bc5c1c904f5ee34f4c [^]

Related to issue 38382: Query no longer use positional parameters. Named params
are used instead.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/testingutils/ProcessDistributionOrderIssue.java
---
(0103989)
hgbot (developer)
2018-04-19 09:00

Repository: erp/pmods/org.openbravo.mobile.procurement
Changeset: 957aab9b04dfccb6bdb129d8363fa7fe41505271
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Apr 19 09:00:41 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.procurement/rev/957aab9b04dfccb6bdb129d8363fa7fe41505271 [^]

Related to issue 38382: Query no longer use positional parameters. Named params
are used instead.

Fixed all eclipse warnings for mobile procurement module.

---
M src/org/openbravo/mobile/procurement/sync/POrderLoader.java
---
(0103990)
hgbot (developer)
2018-04-19 10:21

Repository: erp/pmods/org.openbravo.module.invoicematchingalgorithm
Changeset: aecbf237ba4be73c51ff7b0e0c4defc44f51080b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 19 10:20:45 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicematchingalgorithm/rev/aecbf237ba4be73c51ff7b0e0c4defc44f51080b [^]

related to issue 38382: use named parameters instead of positional parameters

---
M src/org/openbravo/module/invoicematchingalgorithm/algorithm/InvoiceMatchingAlgorithm.java
---
(0104004)
alostale (developer)
2018-04-20 09:38

reviewed
(0104385)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104386)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104387)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-16 18:20 caristu New Issue
2018-04-16 18:20 caristu Assigned To => platform
2018-04-16 18:20 caristu Modules => Core
2018-04-16 18:20 caristu Triggers an Emergency Pack => No
2018-04-16 18:21 caristu Assigned To platform => caristu
2018-04-16 18:32 caristu Relationship added related to 0038383
2018-04-16 18:33 caristu Description Updated View Revisions
2018-04-16 18:34 caristu Description Updated View Revisions
2018-04-17 14:03 caristu Relationship added related to 0038146
2018-04-17 19:11 caristu Note Added: 0103947
2018-04-18 09:41 hgbot Checkin
2018-04-18 09:41 hgbot Note Added: 0103954
2018-04-18 09:41 hgbot Status new => resolved
2018-04-18 09:41 hgbot Resolution open => fixed
2018-04-18 09:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b1cfd9a88be06141647c4d22aa41ec51aa3467e1 [^]
2018-04-18 09:41 hgbot Checkin
2018-04-18 09:41 hgbot Note Added: 0103955
2018-04-18 09:42 hgbot Checkin
2018-04-18 09:42 hgbot Note Added: 0103957
2018-04-18 09:43 hgbot Checkin
2018-04-18 09:43 hgbot Note Added: 0103958
2018-04-18 09:43 hgbot Checkin
2018-04-18 09:43 hgbot Note Added: 0103959
2018-04-18 09:44 hgbot Checkin
2018-04-18 09:44 hgbot Note Added: 0103960
2018-04-18 09:45 hgbot Checkin
2018-04-18 09:45 hgbot Note Added: 0103961
2018-04-18 09:45 hgbot Checkin
2018-04-18 09:45 hgbot Note Added: 0103962
2018-04-18 09:46 caristu Review Assigned To => alostale
2018-04-18 09:53 hgbot Checkin
2018-04-18 09:53 hgbot Note Added: 0103963
2018-04-18 21:19 hgbot Checkin
2018-04-18 21:19 hgbot Note Added: 0103986
2018-04-19 09:00 hgbot Checkin
2018-04-19 09:00 hgbot Note Added: 0103989
2018-04-19 10:21 hgbot Checkin
2018-04-19 10:21 hgbot Note Added: 0103990
2018-04-20 09:38 alostale Note Added: 0104004
2018-04-20 09:38 alostale Status resolved => closed
2018-04-20 09:39 alostale Fixed in Version => 3.0PR18Q3
2018-04-25 09:19 caristu Issue cloned 0038442
2018-04-25 09:20 caristu Relationship added related to 0038442
2018-04-27 13:24 alostale Relationship added related to 0037064
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104385
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104386
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104387


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker